Page MenuHomePhabricator

[Object/ELF] - Do not crash if string table sh_size is equal to zero.
ClosedPublic

Authored by grimar on Sep 30 2016, 4:57 AM.

Details

Summary

Revealed using "id_000038,sig_11,src_000015,op_havoc,rep_16" from PR30540,
when sh_size was 0, crash happened.

Event Timeline

grimar updated this revision to Diff 73038.Sep 30 2016, 4:57 AM
grimar retitled this revision from to [Object/ELF] - Do not crash if string table sh_size is equal to zero..
grimar updated this object.
grimar added reviewers: rafael, davide.
grimar added subscribers: llvm-commits, grimar, evgeny777.
grimar updated this revision to Diff 74118.Oct 10 2016, 5:28 AM
  • Rebased.
rafael accepted this revision.Oct 26 2016, 2:42 PM
rafael edited edge metadata.

LGTM

This revision is now accepted and ready to land.Oct 26 2016, 2:42 PM
This revision was automatically updated to reflect the committed changes.